سرد مهام الخصوصية
curl --request GET \
--url https://api.truthlocks.com/v1/consumer/privacy/jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/consumer/privacy/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/privacy/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/privacy/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "<string>",
"job_type": "EXPORT",
"target_type": "<string>",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"result": {
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
]المستهلك (B2C)
قائمة مهام الخصوصية
سرد جميع طلبات الخصوصية للمستهلك المصادق عليه. تُرجع مهام التصدير والحذف مرتبة حسب تاريخ الإنشاء مع تحديثات الحالة في الوقت الفعلي. تتطلب جلسة مستهلك فردية مصادق عليها؛ لا يمكن لجلسة عمل أو مفتاح API لمساحة العمل أن يحل محل هوية المستخدم.
GET
/
v1
/
consumer
/
privacy
/
jobs
سرد مهام الخصوصية
curl --request GET \
--url https://api.truthlocks.com/v1/consumer/privacy/jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/consumer/privacy/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/privacy/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/privacy/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "<string>",
"job_type": "EXPORT",
"target_type": "<string>",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"result": {
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
]سرد جميع طلبات الخصوصية للمستهلك المصادق عليه. تُرجع مهام التصدير والحذف مرتبة حسب تاريخ الإنشاء (الأحدث أولاً)، مع تحديثات الحالة في الوقت الفعلي.
استخدم نقطة النهاية هذه للاستعلام عن اكتمال التصدير أو التحقق مما إذا كان طلب الحذف قد تمت معالجته.
الاستجابات
حالات الوظائف
| الحالة | المعنى |
|---|---|
PENDING | تم استلام الطلب، في انتظار المعالجة |
APPROVED | تم الموافقة على الطلب ووضعه في قائمة الانتظار للتنفيذ |
PROCESSING | قيد المعالجة بنشاط |
COMPLETED | تم تلبية الطلب — رابط التنزيل متاح لعمليات التصدير |
FAILED | حدث خطأ؛ اتصل بالدعم |
EXPIRED | انتهت صلاحية رابط تنزيل التصدير؛ اطلب تصديرًا جديدًا |

